com.hazelcast.config

## Class MapPartitionLostListenerConfig

- java.lang.Object
- - com.hazelcast.config.ListenerConfig
  - - com.hazelcast.config.MapPartitionLostListenerConfig

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable
  Direct Known Subclasses:
    MapPartitionLostListenerConfigReadOnly

      public class MapPartitionLostListenerConfig
      extends ListenerConfig

  Configuration for MapPartitionLostListener
  See Also:
    `MapPartitionLostListener`

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.ListenerConfig

      `className, implementation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapPartitionLostListenerConfig()`
    `MapPartitionLostListenerConfig(MapPartitionLostListener implementation)`
    `MapPartitionLostListenerConfig(MapPartitionLostListenerConfig config)`
    `MapPartitionLostListenerConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `MapPartitionLostListenerConfigReadOnly` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `int` | `getId()` Returns type identifier for this class.
    `MapPartitionLostListener` | `getImplementation()` Returns the EventListener implementation.
    `int` | `hashCode()`
    `MapPartitionLostListenerConfig` | `setImplementation(MapPartitionLostListener implementation)`

    - ### Methods inherited from class com.hazelcast.config.ListenerConfig

      `getClassName, getFactoryId, isIncludeValue, isLocal, readData, setClassName, setImplementation, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapPartitionLostListenerConfig

          public MapPartitionLostListenerConfig()

    - #### MapPartitionLostListenerConfig

          public MapPartitionLostListenerConfig(String className)

    - #### MapPartitionLostListenerConfig

          public MapPartitionLostListenerConfig(MapPartitionLostListener implementation)

    - #### MapPartitionLostListenerConfig

          public MapPartitionLostListenerConfig(MapPartitionLostListenerConfig config)

  - ### Method Detail

    - #### getAsReadOnly

          public MapPartitionLostListenerConfigReadOnly getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Overrides:
        `getAsReadOnly` in class `ListenerConfig`
      Returns:
        immutable version of this configuration

    - #### getImplementation

          public MapPartitionLostListener getImplementation()

      Description copied from class: `ListenerConfig`
      Returns the EventListener implementation. If none has been specified, null is returned.
      Overrides:
        `getImplementation` in class `ListenerConfig`
      Returns:
        the EventListener implementation
      See Also:
        `ListenerConfig.setImplementation(java.util.EventListener)`

    - #### setImplementation

          public MapPartitionLostListenerConfig setImplementation(MapPartitionLostListener implementation)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ListenerConfig`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ListenerConfig`

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Overrides:
        `getId` in class `ListenerConfig`
      Returns:
        type ID

Copyright © 2019. All rights reserved.